MOUNT_FILECORE(8)

NAME
mount_filecore - mount a FILECORE file system

SYNOPSIS
mount_filecore [-afnR] [-g gid] [-o options] [-u uid] special node

ORIGIN
The NetBSD FILECORE filesystem is a read only implementation of the filecore file system found in Acorn Computers RISC OS operating system. This operating system is the ROM based operating system found on their ARM 6, ARM7 and StrongARM 110 based RiscPC machines that are supported by the arm32 port. Under RISC OS, filecore will have multiple instantiations for file systems on different block devices such as floppies, IDE discs, SCSI discs etc. and these frequently are considered to be different filesystems e.g. ADFS, IDEFS, SCSIFS etc.

DESCRIPTION
The mount_filecore command attaches the FILECORE filesystem residing on the device special to the global filesystem namespace at the location indicated by node. Both special and node are converted to absolute paths before use. This command is normally executed by mount(8) at boot time, but can be used by any user to mount a FILECORE file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The options are as follows:

-a  Give all files world access.

-f  Append the filetype to each filename. This option currently has no effect.

-g gid
    Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.

-n  Give all files owner access.

-o options
    Use the specified mount options, as described in mount(8).

-R  Give all files owner read access.

-u uid
    Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.

SEE ALSO
mount(2), unmount(2), fstab(5), mount(8)

HISTORY
The mount_filecore utility first appeared in NetBSD 1.4.

CAVEATS
The ‘filecore’ filesystem currently supports the Acorn filecore file system found on Acorn Computers RiscPC desktop machines with versions of RISC OS up to 3.70.